Bug 1729212 - fedora-review fails on missing dnf within mock chroot.
Summary: fedora-review fails on missing dnf within mock chroot.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-review
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-11 15:24 UTC by Sandro Bonazzola
Modified: 2020-05-26 16:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:07:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Sandro Bonazzola 2019-07-11 15:24:28 UTC
Description of problem: fedora-review fails on missing dnf within mock chroot.
Occurred to me while reviewing bug #1726869 on Fedora 30.


Version-Release number of selected component (if applicable):
fedora-review-0.7.2-1.fc30.noarch
mock-1.4.16-2.fc30.noarch



How reproducible: tried once


Steps to Reproduce:
1. $ fedora-review -b 1726869
2.
3.

Actual results:

07-11 15:08 root         DEBUG    Running: mock -r fedora-rawhide-x86_64 -qn --enable-network shell dnf repoquery -C -l filesystem
07-11 15:08 root         DEBUG    Exception down the road...
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/FedoraReview/review_helper.py", line 236, in run
    self._do_run(outfile)
  File "/usr/lib/python3.7/site-packages/FedoraReview/review_helper.py", line 226, in _do_run
    self._do_report(outfile)
  File "/usr/lib/python3.7/site-packages/FedoraReview/review_helper.py", line 99, in _do_report
    self._run_checks(self.bug.spec_file, self.bug.srpm_file, outfile)
  File "/usr/lib/python3.7/site-packages/FedoraReview/review_helper.py", line 117, in _run_checks
    self.checks.run_checks(output=output, writedown=not Settings.no_report)
  File "/usr/lib/python3.7/site-packages/FedoraReview/checks.py", line 382, in run_checks
    run_check(name)
  File "/usr/lib/python3.7/site-packages/FedoraReview/checks.py", line 357, in run_check
    check.run()
  File "/usr/lib/python3.7/site-packages/FedoraReview/check_base.py", line 266, in run
    self.run_on_applicable()
  File "/usr/lib/python3.7/site-packages/FedoraReview/plugins/generic.py", line 478, in run_on_applicable
    filesys_dirs = set(deps.list_paths("filesystem"))
  File "/usr/lib/python3.7/site-packages/FedoraReview/deps.py", line 273, in list_paths
    paths = check_output(cmd, universal_newlines=True)
  File "/usr/lib64/python3.7/subprocess.py", line 395, in check_output
    **kwargs).stdout
  File "/usr/lib64/python3.7/subprocess.py", line 487, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['mock', '-r', 'fedora-rawhide-x86_64', '-qn', '--enable-network', 'shell', 'dnf repoquery -C -l filesystem']' returned non-zero exit status 127.
07-11 15:08 root         ERROR    Exception down the road... (logs in /home/sbonazzo/.cache/fedora-review.log)


Expected results:
command succeed


Additional info:

Comment 1 Ben Cotton 2020-04-30 21:34:53 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2020-05-26 16:07:47 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.